SHUF(1)

NAMN
shuf — generera slumpvisa permutationer

SYNOPSIS
shuf [FLAGGA]... [FIL]
shuf -e [FLAGGA]... [ARG]...
shuf -i LÅGT-HÖGT [FLAGGA]...

BESKRIVNING

Skriv en slumpvis permutation av indataraderna till standard ut.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-e, --echo
    Behandla varje ARG som en indatarad.

-i, --input-range=LÅGT-HÖGT
    Behandla varje nummer LÅGT till HÖGT som en indatarad.

-n, --head-count=ANTAL
    Skriv ut högst ANTAL rader.

-o, --output=FIL
    Skriv resultatet till FIL i stället för standard ut.

--random-source=FIL
    Hämta slumpbyte:ar från FIL.

-r, --repeat
    Utskrivna rader kan upprepas.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

UPPHOVSMAN
Skrivet av Paul Eggert.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/shuf>
eller tillgängligt lokalt via: info '(coreutils) shuf invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.